## ide-toolchain-manager ide-toolchain-manager |

## Functions

IdeToolchain * | ide_toolchain_manager_get_toolchain ()
gboolean | ide_toolchain_manager_is_loaded ()

## Types and Values

#define | IDE_TYPE_TOOLCHAIN_MANAGER
| IdeToolchainManager

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeToolchainManager

## Implemented Interfaces

IdeToolchainManager implements GListModel and GAsyncInitable.

## Description

## Functions

### ide_toolchain_manager_get_toolchain ()

    IdeToolchain *
    ide_toolchain_manager_get_toolchain (IdeToolchainManager *self,
                                         const gchar *id);

Gets the toolchain by its internal identifier.

#### Parameters

self | An IdeToolchainManager |
id | the identifier of the toolchain |

#### Returns

An IdeToolchain.

[transfer full]

Since: 3.32

### ide_toolchain_manager_is_loaded ()

    gboolean
    ide_toolchain_manager_is_loaded (IdeToolchainManager *self);

Gets whether all the IdeToolchainProvider implementations are loaded and have registered all their IdeToolchain.

#### Parameters

self | An IdeToolchainManager |

#### Returns

`TRUE` if all the toolchains are loaded

Since: 3.32

## Types and Values

### IDE_TYPE_TOOLCHAIN_MANAGER

    #define IDE_TYPE_TOOLCHAIN_MANAGER (ide_toolchain_manager_get_type())

### IdeToolchainManager

    typedef struct _IdeToolchainManager IdeToolchainManager;